Subject: Re: JMP> Open Editorial Changes From Rev. 0.83: 3. Definition of "device"

From: Tom Hastings <[email-masked]>
Date: Wed, 27 Aug 1997 09:49:06 PDT

Jay,

In order not to mis-lead the reader or bend the other groups working
on scanning and faxing out of shape, lets add something that indicates
that support of these other devices is outside the scope of the current
MIB, but that this MIB can be used with extensions for other devices.

We, at Xerox, have been using our private job MIB for both scanning and FAXing
as well as printing and have found no problems with doing so.  Only a few
additional attributs are needed for such (either in the same MIB or in
an extension MIB that augments the job MIB).  All of the objects and many of the
attributes are just as applicable to scan and fax jobs as printing jobs.

Here is the last part of the Abstract:

This MIB is intended to be implemented (1) in a printer or (2) in a server
that supports one or more printers.  Use of the object set is not limited to
printing.  However, support for services other than printing is outside the
scope of this Job Monitoring MIB.  Future extensions to this MIB may
include, but are not limited to, fax machines and scanners.

So how about the following devinition for "device":

Device:  A hardware entity that performs one or more document
transformations between electronic and/or hardcopy forms.  Use of the object
set is not limited to printers.  However, support for services other than
printing is outside the scope of this Job Monitoring MIB.  Future extensions
to this MIB may include, but are not limited to, fax machines and scanners.

Tom

At 18:23 08/26/97 PDT, JK Martin wrote:
>You know, it's great that the Job MIB *could* (not *should*) apply
>to, say, CD-ROM writers, FAX, etc.
>
>But don't you think we're asking for trouble by "addressing" these
>other devices when we really haven't opened discussions with those
>standards groups involved with CD-ROM and FAX (if such groups exist)?
>
>I mean, c'mon.  We've been almost totally focused on PRINTERS for the
>Job MIB.  And even though some sort of CD-ROM software _may_ be able
>to use the Job MIB...that's not the point.
>
>We've designed the Job MIB for printers.  If other devices can use it,
>then fine.  But we shouldn't try to make the reader feel that the Job
>MIB is THE solution for anything other than printers.
>
>My $0.02 worth, of course.  Sorry, but I just had to mention this.
>
>	...jay
>
>----- Begin Included Message -----
>
>>From [email-masked] Tue Aug 26 20:53 EDT 1997
>Date: Tue, 26 Aug 1997 17:47:57 PDT
>To: Ron Bergman <[email-masked]>
>From: Tom Hastings <[email-masked]>
>Subject: Re: JMP> Open Editorial Changes From Rev. 0.83: 3. Definition
>  of "device"
>Cc: [email-masked]
>
>At 16:59 08/20/97 PDT, Ron Bergman wrote:
>snip...
>>> >3. The definition for "Device" (page 14):
>>> >
>>> >   "...interfaces to humans in human perceptible means, such as produces
>>> >    marks on paper, scans marks on paper to produce an electronic
>>> >    representations, or writes CD_ROMS..."
>>> >
>>> >   The second two examples don't appear to be human perceptible.  I am
>>> >   not sure I understand the reason for including other than the first
>>> >   example.
>>> 
>>> It is important to clarify that the device can produce other forms of
>>> human perciptable output than just printing devices, as we agreed in
>>> the requirements document.  So I left these other examples in.
>>> 
>>How is scaning marks on paper or writing a CD ROM human perceptible?
>>The only way you know for sure the operation was completed (or even
>>started) was a message on display or a printer.
>
>
>A scanner takes media that has human preceptible marks on it and scans
>it. I agree that the CD ROM writer is not human perceptible.
>
>
>The full definition for "device" from V0.83 is:
>
>Device:  a hardware entity that (1) interfaces to humans in human
>perceptible means, such as produces marks on paper, scans marks on paper to
>produce an electronic representations, or writes CD-ROMs or (2) interfaces
>electronically to another device, such as sends FAX data to another FAX device.
>
>
>
>But I feel that we need to make our definition agree with the requirements
>that we worked on for so long that the MIB could also be used for jobs that 
>scan, jobs that write CD-ROMs, and jobs that send FAX, though the inclusion
>of attributes for such jobs was beyond the scope of the current MIB.
>
>So how about:
>
>Device:  a hardware entity that (1) interfaces to humans, such as produces
>marks on paper or scans marks on paper, (2) accesses digitial media, such as
>CD-ROMs, or (3) interfaces electronically to another device, such as sends
>FAX data to another FAX device.
>
>Tom
>
>
>
>----- End Included Message -----
>
>
>

---

From: Ron Bergman <[email-masked]>
Date: Wed, 27 Aug 1997 15:13:29 -0700 (Pacific Daylight Time)

Tom,

This looks like a much better description.  I propose this be the
definition to be used.

This issue is now closed.

	..Ron